import request from '@/utils/request'

// 查询编码code自增列表
export function listGenerator(query) {
  return request({
    url: '/system/generator/list',
    method: 'get',
    params: query
  })
}

// 查询编码code自增详细
export function getGenerator(id) {
  return request({
    url: '/system/generator/' + id,
    method: 'get'
  })
}

// 新增编码code自增
export function addGenerator(data) {
  return request({
    url: '/system/generator',
    method: 'post',
    data: data
  })
}

// 修改编码code自增
export function updateGenerator(data) {
  return request({
    url: '/system/generator',
    method: 'put',
    data: data
  })
}

// 删除编码code自增
export function delGenerator(id) {
  return request({
    url: '/system/generator/' + id,
    method: 'delete'
  })
}
